<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>
 
</head>

<style type="text/css" media="print">
.nover {display:none}
</style>

<BODY onLoad="self.focus();" onBlur="self.focus();">
<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");

include "../conexion.php";
$id=$_REQUEST["id"];


$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,lema,nombrefactura from parametros");
while($datosrs= mysqli_fetch_row($sql_contar))
 { 
  $nombre=$datosrs[0];
  $direccion=$datosrs[1];
  $telefono=$datosrs[2];
  $lema=$datosrs[3];
  $nombrefactura=$datosrs[4];
 }


$sql_contar=mysqli_query($conexion,"SELECT fecha,cliente from venta where factura='".$id."'");
while($datosrs= mysqli_fetch_row($sql_contar))
 { 
  $fecha=$datosrs[0];
  $cliente=$datosrs[1];
 }

if(isset($_REQUEST["oculto"]))
{ 

	$id=$_REQUEST["id"];   
	$cliente=$_REQUEST["cliente"];  
	
	if($_REQUEST["Ocliente"]==1)
	{
	    $sql_insert=mysqli_query($conexion,"update venta  set cliente='".$cliente."' 
	  							where factura='".$id."'");
		if($sql_insert)
			{
			   echo "<script>";   echo "alert('Cliente Actualizado')"; echo "</script>";
			  // $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from cliente where id='".$cliente."'");
			}	
	}	
		

}


$sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from cliente where id='".$cliente."'");
while($datosrs= mysqli_fetch_row($sql_contar)){ $contar=$datosrs[0];}
if($contar>=1)
{
	$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,documento from cliente where id='".$cliente."'");
	while($datosrs= mysqli_fetch_row($sql_contar))
	{ 
	  $nombrec=$datosrs[0];
	  $direccionc=$datosrs[1];
	  $telefonoc=$datosrs[2];
	  $documentoc=$datosrs[3];
	 }
}
else{$nombrec="";$direccionc="";$telefonoc="";$documentoc="";}

?>
<form name="parametros" method="post" action="" >
<input name="cliente" type="hidden"   id="cliente" >
		<div align="center">
        
<table width="90%" border="0" cellspacing="0" cellpadding="0" class="texto">
  <tr>
    <td width="22%" rowspan="4"><div align="center"><img src="../imagenes/logo_ecopal.jpg" width="119" height="91"></div></td>
    <td width="54%"><div align="center" style="font-size:24px;"><?php echo $nombre; ?></div></td>
    <td width="24%" rowspan="4"><div align="center"> <?php echo $nombrefactura."  ".$id; ?><br>Fecha : <?php echo $fecha; ?></div></td>
  </tr>
  <tr>
    <td><div align="center" style="font-size:20px;"><?php echo $direccion; ?></div></td>
  </tr>
  <tr>
    <td><div align="center" style="font-size:20px;"><?php echo $telefono; ?></div></td>
  </tr>
  <tr>
    <td><div align="center" style="font-size:20px;"><?php echo $lema; ?></div></td>
  </tr>
</table>


                        <table width="81%" border="0" cellspacing="0" cellpadding="0" class="texto">
                          <tr>
                            <td width="55%">Se&ntilde;ores: <span style="font-size:12px;"><?php echo $nombrec; ?></span></td>
                            <td width="45%">&nbsp;</td>
                          </tr>
                          <tr>
                            <td>Direccion: <span style="font-size:12px;"><?php echo $direccionc; ?></span></td>
                            <td>&nbsp;</td>
                          </tr>
                          <tr>
                            <td>Telefono: <span style="font-size:12px;"><?php echo $telefonoc; ?></span></td>
                            <td>Nit: <span style="font-size:12px;"><?php echo $documentoc; ?></span></td>
                          </tr>
                        </table>
                      
			<table width="90%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    <tr> 
                      <td width="1318" height="0">
                      </td>
                    </tr>
                    <tr>
                      <td height="1"><?php
					  				   
					   if($id<>"")
					   {
							echo "<center> <table width='90%' border='1' bordercolor='#000000' cellpadding='0' cellspacing='0' >";
							echo "<tr ><td colspan='8'><font size='4' color='#000000'><CENTER>$nombrefactura</CENTER></font></td></tr>";
							echo "<tr>";
							echo "<td><center><font color='#000000'>No.Item</font></center></td>";
							echo "<td><center><font color='#000000'>Producto</font></center></td>";
							echo "<td><center><font color='#000000'>Nombre</font></center></td>";
							echo "<td><center><font color='#000000'>Cantidad</font></center></td>";
							echo "<td><center><font color='#000000'>Precio</font></center></td>";
							echo "<td><center><font color='#000000'>Total</font></center></td>";							
							echo "</tr>";
					   
							 $sql_datos=mysqli_query($conexion,"SELECT id,producto,cantidad,precio,fecsis,usuario,estado from venta
													 where factura='".$id."' ");
								$c=1;	$sumaiva=0; $sumag=0;	$sumaI=0;			 
							   while ($datos= mysqli_fetch_row($sql_datos))//04e
								  { 
									$idi=$datos[0];
									$producto=$datos[1];
									$cantidad=$datos[2];
									$precio=$datos[3];									
									$fecsis=$datos[4];
									$usuario=$datos[5];
									$estado=$datos[6];
									
									$sql_datosre=mysqli_query($conexion,"SELECT iva from producto where id='".$producto."'");
									while($datosrs= mysqli_fetch_row($sql_datosre)){ $iva=$datosrs[0];}
									
									if($c%2==0){$color="#EAEAEA";}
								    else {$color="#BFBFBF";}															
									
									 $sql_datospro =mysqli_query($conexion,"select nombre,descripcion,paqueteunidad from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datospro))
									   { $nproducto=$datosrs[0]; $descripcion=$datosrs[1]; $paqueteunidad=$datosrs[2];
									   }
									  
									 $totalitem=$cantidad*$precio;
									 if($iva>0){$totaliva=($totalitem*$iva)/100;}
									 else {$totaliva=0;}
									 
									 if($estado=='F')
										{
										  echo "<tr>
											  <td width='5%'>$c</td>																					
												  <td>$producto</td>
												  <td>$nproducto</td>
												  <td><div align='right'>$cantidad</div></td>
												  <td><div align='right'>".number_format($precio,0)."</div></td>											  
												  <td><div align='right'>".number_format($totalitem,0)."</div></td>											 										
											</tr>";
											
											$c=$c+1;
											if($estado<>'I')
											  {$sumag=$sumag+$totalitem;
											   $sumaiva=$sumaiva+$totaliva;
											  }
										 }	
											
								  }	//04
								  $neto=$sumag+$sumaiva;
								 
                               echo "<tr>
                                            <td colspan='5'><font size='3'><div align='right'><strong>SUBTOTAL</strong></div></font></td>											                                             <td><font size='3'><div align='right'><strong>".number_format($sumag,0)."</strong></div></font></td>								 
                                                </tr>";
                                      echo "<tr>
                                                  <td colspan='5'><font size='3'><div align='right'><strong>IVA</strong></div></font></td>										   
                                                  <td><font size='3'><div align='right'><strong>".number_format($sumaiva,0)."</strong></div></font></td>									 
                                                </tr>";			
                                      echo "<tr>
                                                  <td colspan='5'><font size='3'><div align='right'><strong>TOTAL</strong></div></font></td>											
                                                  <td><font size='3'><div align='right'><strong>".number_format($neto,0)."</strong></div></font></td>											
                                                </tr>";		
                                echo "</table>";				
						   
						   }
						   ?></td>
                    </tr>
                    <tr> 
                      <td><div align="center">
                        <input name='ccliente' type='button'  id='ccliente' value='Cliente'   class="nover"  title="Clic para ver reporte"
						  onClick="javascript:window.open('frm_cliente_buscar.php?preventa=<?php echo $id; ?>','Reportekardex','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" >
                        <input name='imprime' type='button'  id='imprime' value='Imprime'   class="nover"  title="Clic para ver reporte"
						  onClick="window.print();" >
                        <input name='cerrar' type='button'  id='cerrar' value='Cerrar'   class="nover"  title="Clic para ver reporte"
						  onClick="window.close();" >
              <input name="oguardar" type="hidden" id="oguardar">
                          <input name="oculto" type="hidden" id="oculto">
                          <input name="Ocliente" type="hidden" id="Ocliente">
                          
                        <br>
                        </div></td>
                    </tr>
                  </table>
                  </div>
        
</form>
</body>
</html>
